import { App } from "vue";
import store from "@/store";

import { ActionType } from "@/store/modules/app/_type";

/**
 * 创建一些全局数据
 * @param app
 */
const createGlobalData = async (app: App<Element>) => {
  try {
    // 平台列表
    store.dispatch(ActionType.doSavePlatforms);
  } catch (error) {
    console.log("global data error", error);
  }
};

export default createGlobalData;
